Techstream Online Help

The following online help guide explains Techstream operations.


Basic Operations

When Techstream is started, the Main Menu Screen is displayed. Select the desired function from the Main Menu Screen.

To quit Techstream, select "Exit Techstream" from the File menu.

Main Menu Screen


Screen Configuration

Techstream consists of the Main Menu Screen and the Diagnosis Screen.

Main Menu Screen

Main Menu Screen

* Title Bar

Displays the name of the application.

* Menu Bar

Displays the menu. For details, see Appendix A.

* Client Window

Area where information is displayed and operations are performed. The client window is comprised of the following two areas.

* Menu Button Area

Displays buttons that can be operated for the current screen.

* Information Area

Displays information.

* Status Bar

Displays information related to the current screen. For details, see Appendix B.

Diagnosis Screen

Diagnosis Screen (System Selection Menu)

* Title Bar

Displays the application name, or the function name and Screen ID.

* Menu Bar

Displays the menu. For details, see Appendix A.

* Client Window

Area where information is displayed and operations are performed. The client window is comprised of the following three areas.

* Tab Control Area

By selecting Tab Control, the user can switch between the functions below.

System Select / Stored Data / Live Data Tab / Customize Setting / ECU Reprogramming / CAN Bus Check

* Vehicle Information Area

Displays information for the vehicle being diagnosed.

- Model Year

- Model

- Engine

- VIN

* Menu Button Area

Displays buttons that can be operated for the current screen.

* Data View

Displays the screen for each function started from the Menu Button.

* Status Bar

Displays information related to the current screen. For details, see Appendix B.


Error Message List

The dialog box above is displayed when continuation is not possible due to a fatal error.

The dialog box above is displayed when an error occurs that may be resolved by restarting the Techstream application.

The dialog box above is displayed when a negative response is returned from the Engine Control Unit (ECU). A negative response may be returned when the ECU is not ready to respond correctly, or when the ECU cannot send the proper response due to a problem on the vehicle side.

The dialog box above is displayed when there is no response from the ECU.

The dialog box above is displayed when a prohibit response is returned from the ECU. A prohibit response may result when the required vehicle conditions are not satisfied when running an Active Test. Make sure the “Execute condition(s)” are met, prior to running the Active Test.

The dialog box above is displayed when a communication error results from a source other than a faulty connection.


Main Menu Screen

When Techstream is started, the Main Menu Screen is displayed. Select the desired function from the Main Menu Screen.

Main Menu Screen

Begins diagnosing the TOYOTA/LEXUS/SCION vehicle. The vehicle type is automatically determined via communication with the vehicle. If the vehicle type cannot be automatically determined, the user must select Option, etc. Refer to Diagnostic Functions for TOYOTA/LEXUS/SCION.

Opens the Service Event File or Uploads Drive Recorder Data.

Launches web browser to connect to TIS.

Displays the demonstration screen.

Checks for Techstream software updates.

Runs Generic OBD II. Refer to Generic OBD II.

Performs user registration so the software can be used.

Changes the User. .

Changes the language.

Changes the Current user to Generic User. If user settings are changed, the changes made will be cancelled.


Diagnostics Functions for TOYOTA / LEXUS / SCION

Perform diagnostics for TOYOTA/LEXUS/SCION vehicles.


Vehicle Connect

It is necessary to select the diagnostics system (the system within the vehicle) when diagnosing the vehicle.

The procedure for Vehicle Connect is as follows.

Automatic Vehicle Selection

Vehicle information is automatically displayed for the selected vehicle in the Vehicle Connection Wizard Dialog box.

If the vehicle cannot be determined by Division, Model, Model Year, and Engine alone, Option(s) may need to be selected. In addition, the items that can be selected differ by vehicle. Aside from Option(s), the displayed information is based on data received from the vehicle. However, if the displayed vehicle information is inaccurate, the correct information can be selected from the drop down menus. The VIN is acquired from the vehicle. In cases when the VIN cannot be acquired, it will not be displayed. The Next button only responds when all of the required vehicle information is specified.

Manual Vehicle Selection

For Manual Vehicle Selection, the user enters the Division, Model, Model Year, Engine and vehicle Option(s) to determine the vehicle.

The Next button only responds when all of the required vehicle information is specified.

Vehicle Connection Wizard Dialog (For North America）

Vehicle Connection Wizard Dialog

* Division

Displays the automatically selected Division.

The user can change selected content. The items displayed are the vehicle information for the corresponding Division. If the Division is changed, the Model, Model Year and Engine items will be redisplayed based on the vehicle information.

* Model

Displays the automatically selected Model.

The user can change selected content. Only the Division, Model Year, and Engine items may be selected.

* Model Year:

Displays the automatically selected Model Year.

The user can change selected content. Only the Division, Model, and Engine items may be selected.

* Engine

Displays the automatically selected Engine.

The user can change selected content. Only the Division, Model, and Model Year items may be selected.

* Option

Designates an Option to determine the ECU installed in the vehicle.

If it is necessary to designate an Option, "Select Option" will be displayed.

* VIN

Displays VIN information acquired from the vehicle.

The user can enter VIN information manually if it cannot be acquired from the vehicle.

* Memo

The user can enter a memo in the provided box.

* Manual button

Switches to a manual connection.

* Help button

Displays help content.

* Back button

Cannot be used in this screen.

* Next button

Transitions to the System Select screen based on the selected information.

* Cancel button

Cancels the Vehicle Connection Wizard, and returns to the Main Menu.

Vehicle Connection Wizard Dialog（For Other Regions）

Vehicle Connection Wizard Dialog

* Model Code

Displays the Model Code acquired through automatic search.

* Vehicle Spec

Displays the Vehicle Spec acquired through automatic search.

* Option

Designates an Option to determine the ECU installed in the vehicle.

If it is necessary to designate an Option, "Select Option" will be displayed.

* VIN

Displays VIN information acquired from the vehicle.

The user can enter VIN information manually if it cannot be acquired from the vehicle.

* Memo

The user can enter a memo in the provided box.

* Manual button

Switches to a manual connection.

* Help button

Displays help content.

* Back button

Cannot be used in this screen.

* Next button

Transitions to the System Select screen based on the selected information.

* Cancel button

Cancels the Vehicle Connection Wizard, and returns to the Main Menu.


System Select

The System Select screen displays the ECU’s installed on the vehicle.

Select the ECU to be diagnosed. When the Live Data Button is pushed, the Live Data Tab is displayed. The user may return to the System Select Tab and open another Live Data Tab.

ECU's with an asterisk indicate that the Techstream was not able to communicate with the particular ECU, and the ECU could not be verified as being installed on the vehicle. If the ECU is connected via the DLC1 or DLC2 cable, an asterisk will not be displayed, regardless of whether or not the ECU is installed on the vehicle.

Diagnosis Screen (System Selection Menu)

Starts the Health Check function.

Starts the Customize function.

Starts the ECU Reprogramming function.

Starts the CAN Bus Check function.

Service Information Search button

Starts the Print function.

Returns the screen to the Main Menu Screen.

* System Selection Menu

Select the ECU to be diagnosed.

* System Menu Description

Displays an explanation of the selected ECU.

* All ECUs Tab

Displays a list of all ECU's that have been verified as installed on the vehicle

* Powertrain Tab

Displays a list of the powertrain system ECU's.

* Chassis Tab

Displays a list of the Chassis system ECU's.

* Body Tab

Displays a list of the body system ECU's.

Live Data button

When the Live Data Button is pressed, the ECU Live Data Tab is displayed. This button cannot be used if an ECU is not selected.


Live Data Tab

A Live Data Tab is created for each ECU. Each function is performed by pressing the menu button on the Live Data Tab.

Diagnosis Screen (Live Data Tab)

Starts the Trouble Codes function.

Starts the Data List function.

Starts the Active Test function.

Starts the Monitor function.

Starts the Utility function.

Service Information Search button

Starts the Print function.

Closes the active tab. Returns to the Main Menu Screen from the System Select Tab.

Note A yellow menu button indicates a function under execution. A gray menu button cannot be used.
 | The Data List function is being executed.
 | The Data List function cannot be used for this ECU.


Trouble Codes

DTC Data is data stored in the vehicle computer (ECU) internal memory when problems occur.

Checking DTC data can aid in specifying the cause of the trouble.

DTC Data Display

Displays the DTC data for the system selected on the system selection screen.

The procedure for displaying the DTC data is as follows.

1. Push [Trouble Codes] button.

2. The DTC data is displayed on the Diagnostic Code List.

Diagnosis Screen (Trouble Codes)

* Monitor Status

Displays a summary of the monitor status. When monitoring is complete, the display will change.

* View Monitors button

Transitions to the Monitor function.

* MIL Status

Displays the MIL status.

* Diagnostic code list

Displays the current, tentative, and past DTC codes, along with a general summary for the DTC. If either single-frame or multi-frame, freeze-frame data are contained in the DTC, the "Snow Flake” icon will be displayed in the left column of the list.

Clear DTCs button

Deletes DTC, freeze-frame, monitor status, monitor results information and the information code.

FF Data button

Displays freeze-frame data when the cursor is placed on a DTC that contains freeze-frame data.

Store button

Saves DTC, freeze-frame, monitor status, monitor results information and the information code.


Trouble Codes Clear

The procedure for clearing the DTC data is as follows.

1. Push Clear DTCs button on the DTC data display screen. The DTC data clear dialog box is displayed.

2. On the DTC clear dialog, push the Store or Clear button.

DTC Clear Dialog

* Store button

Stores DTC's after saving DTC, freeze-frame, monitor status, monitor results information and the Information Code.

* Clear button

Clears DTC, freeze-frame, monitor status, monitor results information and the Information Code.

* Cancel button

Cancels the DTC clear and closes the dialog box.


Trouble Codes Data Store

The Record Name input dialog box is displayed when performing DTC Data Store. When the OK button is pressed, a DTC/Monitor sub-file under the given name will appear in the Stored Data Tab under a pre-determined, or newly created Service Event File(.tse file). Service Event File content can be verified from the Stored Data Tab Event File Tree, however, the file is not saved at this point. Select "Save" from the File menu to save the file.

If the Cancel button is pressed, DTC Data will not be saved.

DTC Save Dialog

Event File Tree in Stored Data Tab

Press the Expand button to display the entire Event File Tree. Press the Close button to return to the original display.

Diagnosis Screen (Stored Data Tab)


Freeze Frame Data Display

Displays freeze frame data related to the DTC data.

There are two types of freeze frame data:

- Single freeze frame data : ECU data recorded when the DTC data is generated

- Multi freeze frame data : ECU data recorded before, after, and when the DTC data is generated.

The procedure for displaying freeze frame data is as follows.

On the Diagnostic Code List, select the DTC data with “Snow Flake” icon.

Push the FF Data button.

Single Freeze Frame Data

Diagnosis Screen (Single Freeze Frame Data )

Multi Freeze Frame Data

Diagnosis Screen (Multi Freeze Frame Data )

Freeze Frame data list

Displays DTC freeze frame data selected from the Diagnostic Code list.

Clicking the "Snow Flake” icon inside the list displays the Information Code Box.

* Parameter Group list

Select predetermined parameter groups.

Display only specific parameters by selecting optional parameter groups.

New List button

Displays a list of only those parameters selected by the user.

Remove button

Displays a list of parameters other than those selected by the user.

Data Manager button

Displays the Data Manager.

Back button

Returns the screen to the Diagnostic Code list from the Freeze Frame Data list.

Store button

Saves DTC, freeze-frame, monitor status, monitor results information and the Information Code.


Information Code Box

In some cases, an Information Code Box may be generated which displays the freeze frame data information codes.

Information Code Dialog

* Information Code list

Displays the parameter information code from the selected Freeze Frame Data list.

Help

Displays Help information.

Print button

Prints DTC information.

Store button

Saves DTC, freeze-frame, monitor status, monitor results information and the Information Code.

Close button

Closes the current dialog box.


Data List

Vehicle computer (ECU) data can also be monitored numerically or in graph form.

Data List Display

Displays the ECU data for the system selected on the system selection screen.

The procedure for displaying the ECU data is as follows.

1. Push [Data List] button.

2. The ECU data is displayed on the Parameter List.

Diagnosis Screen (Data List )

Parameter List

Displays ECU parameters.

* Scroll bar

Data can be displayed on separate pages using a scroll function when the Parameter List cannot be displayed on a single page.

* Parameter Group list

Data required for diagnosing a specific breakdown can be grouped.

The ECU data belonging to a Parameter Group can be displayed by selecting that group.

New List button

Enables the user to create a list with fewer parameters. Parameters may be clicked and highlighted to be carried over to a new list with only these parameters. A list with fewer parameters may substantially increase the refresh rate of the values displayed.

Remove Button

Deletes the selected row from the current Parameter List.

Data Manager Button

Displays the Data List Manager.

Graph button

Displays the Data List Manager.

Record button

Starts Recording the Data List (Unplanned Recording). The Record button can be pressed even when Live data is being displayed. Live data can be recorded by pushing the Record button when in Manual Mode. When recording using the Record button, the settings are as follows.

Trigger Classification: Manual

Max. Recording Time: 30 sec.

Trigger Position: 50 %


Data List Manager

Using the Data List Manager, the Parameter list can be changed.

Data List Manager Dialog

Available Group list

Selects the predetermined parameter group.

Display only specific parameters by selecting optional parameter groups.

* Available Data list

Displays the group parameters for the selected from the available group list. It is possible to select multiple rows in the displayed parameters.

* Parameter Information

Displays detailed information on the most recently selected parameter from within the Available Data List and Custom List.

* Custom list

Lists parameters from the Data List that are being used.

* Select Parameter Count

Displays the number of parameters currently in the Custom List.

* OK button

Displays a data list of the parameters set in the Custom List when exiting the Data List Manager.

* Cancel button

Cancels the settings in the Custom List and returns to the Data List.

* Help Button

Displays help content.

Adds only the data selected in the Available Data List to the Custom List.

Adds all the data in the Available Data List to the Custom List.

Deletes only the data selected in the Custom List.

Deletes all the data in the Custom List.


Recording

The Recording screen displays Planned Recording and Unplanned Recording currently in progress. Verify recording status, and cancel and/or pause recording from this screen.

Diagnosis Screen (Data List Recording)

Performs printing.

Closes the Record screen.

Status

Displays the Recording status.

Status : Status display (Ready/Recording/Saving)

Frame : Frame count

Time : Recording time

Flag Count : Set flag count

* Trigger Type pull down list

In addition, displays the set Snapshot trigger classification.

* Duration pull down list

Displays the set recording time for the Snapshot.

* Trigger Point Gauge

Displays the status of the recording buffer. The pre-trigger buffer is displayed in green and the post-trigger buffer is displayed in blue. This is for display only and cannot be changed.

* Trigger Point pull down list

Displays the trigger position in relation to overall data recording.

Stop button

Displays a dialog box when it is judged that recording has been cancelled and data is to be saved.

Flag button

Sets a flag at the current position of information recording.


Snapshot

From the Snapshot screen, the Snapshot trigger classification can be selected. In addition, the length of recording data as well as the proportion of trigger position in relation to overall recorded data can be selected.

Diagnosis Screen (Snapshot)

Service Information Search button

Performs printing.

Closes the Snapshot screen.

Status

Displays the Snapshot status.

Status : Status display (Ready/Recording/Saving)

Frame : Frame count

Time : Recording time

Flag Count : Set flag count

* Trigger Type pull down list

Set the Snapshot trigger classification. Performs Parameter Trigger Configuration when a parameter is set for the trigger.

Sets the type of trigger. The types of triggers are as follows.

• Manual : The trigger is applied manually by touching the data list display section.

• DTC : The trigger is applied when a diagnostic code is detected.

• DTC-Check Mode : The trigger is applied when a diagnostic code is detected in Check Mode.

• Parameter : The trigger is applied at the set parameter value.

* Duration pull down list

Sets the recording time.

Select from 5 s / 15 s / 30 s / 60 s / 90 s / 3 min / 5 min / 10 min / 20 min / 60 min.

* Trigger Point Gauge

Sets the percentage of the recording time saved as data before the trigger is pressed.

* Trigger Point pull down list

Sets the percentage of the recording time saved as data before the trigger is pressed.

Select from Begin / 10 % / 20 % / 30 % / 40 % / 50 % / 60 % / 70 % / 80 % / 90 % / End.

Stop button

Stops recording. Cannot be used when not recording.

Flag button

Highlights the display when a flag exists for the frame position.

If a flag does not exist for the frame position, clicking the Flag Button will add a flag for the current frame position.


Trigger Setting

The Trigger Setting screen performs detailed parameter settings for a Snapshot trigger. Condition settings can be performed for each parameter. Snapshot trigger settings can be performed for up to three parameters.

Parameter Trigger Configuration Dialog

Record Quantity

Designate the number of recordings for a parameter trigger. The number of recordings can be set from 1-10.

* Duration pull down list

Set the Snapshot recording time. Recording time can be selected from the following.

(5 s, 15 s, 30 s, 60 s, 90 s, 3 min, 5 min, 10 min, 20 min, 60 min)

* Trigger Point gauge

Use the slide bar to display trigger position in relation to overall data recording. Trigger position can be selected from the following.
(0%, 10%, 20%, 30%, 40%, 50%, 60%, 70%, 80%, 90%, 100%)

* Parameter Select button

Displays a Parameter Select List dialog box. Once a parameter name is selected, the name is displayed on the button.

* Condition-type

Selects the condition type for each trigger condition value.

* | Applies the trigger when the ECU data becomes less than the set value.
* | Applies the trigger when the ECU data becomes greater than the set value.
 | Applies the trigger when the ECU data equals the set value.
* | Deletes the trigger condition.

* Parameter value gauge

Sets the trigger level.

* Parameter Condition

Selects the AND or OR condition in relation to each set parameter for a specific trigger condition.

Applies the trigger when all set conditions are satisfied.

Applies the trigger when any of the set conditions are satisfied.

* Help button

Displays help content.

* Back button

Returns the screen to the Snapshot screen.

* Finish button

Sets the trigger condition and returns the screen to the Snapshot screen.

* Cancel button

Cancels the settings and returns the screen to the Snapshot screen.

Parameter Select List

Select the desired parameters when determining the trigger parameters.

Parameter Select List Dialog

* Trigger Parameter

Select the desired parameter to be used as a trigger.

* SELECT button

Sets the selected parameter as a trigger for the called out screen. Closes the screen after settings are performed.

* Back button

Cancels parameter selection and closes the screen.


Saving

This dialog box is displayed when recording is completed and a specific time has elapsed or, when the Stop button has been pressed. If the Yes button is pressed, the recorded data is saved up to the current time and the screen transitions to the Data List. If the No button is pressed, the screen transitions to the Data List without saving the recorded data.

Saving Dialog

Model Info

Displays information about the vehicle model.

* VIN

Displays the vehicle VIN (Vehicle Identification Number).

* Record Name

Set a name for the Snapshot to be recorded.

* Date & Time

Displays the date and time for the recorded data.

* Memo

Attach a memo to describe the recorded data.


Graph Function

The Graph function displays a graph when a parameter graph from the Parameter Data List is dragged and dropped in the Graphing Area, or when a parameter in the parameter list is double clicked.

A maximum of eight graphs can be displayed. Text for a parameter being displayed as a graph is displayed in the same color as the line for the graph. Selected parameters are sorted in order from the top.

The values displayed in the Parameter Data List differ in the Live Data and Stored Data view.

Live Data View ：Current value

Stored Data View ：Value during playback.

Diagnosis Screen (Data List Graph Function)

Service Information Search button

Performs printing.

Returns to Data List.

Show or hide the parameter list. When the Show parameter list button is pressed, the Parameter Data List is displayed. When the Hide parameter list button is pressed, the Parameter Data List is hidden.

Switch between graph overlap and graph split. When the Overlap line graph button is pressed, a line graph is added to the display. When the Split line graph button is pressed, a line graph is displayed separately.

Record button

Records a snapshot.

Display Switching

Display switching allows the displayed settings to be toggled.

Data List Graph Function

Displays the Menu for the Line Graph.

GRAPH TYPE1

Graph Type 1 plots a graph with no grid. A minimum, maximum and current value is displayed for the Y-axis. In Auto range, the displayed maximum and minimum values for the Y-axis are measured values. In manual range, the displayed maximum and minimum values for the Y-axis are the values set in the GRAPH SETUP dialog box.

GRAPH TYPE2

Graph Type 1 plots a graph with a grid. A minimum, maximum and current value is displayed for the Y-axis. In Auto range, the displayed maximum and minimum values for the Y-axis are measured values. In manual range, the displayed maximum and minimum values for the Y-axis are the values set in the GRAPH SETUP dialog box.

ENTER GRAPH SETUP

When ENTER GRAPH SETUP is selected, a GRAPH SETUP dialog box is displayed.

Graph Setup Dialog

MEASURE TIME

Measures time using the cursor.

MEASURE AMPLITUDE

Measures value amplitude using the cursor.

MIN/MAX INDICATOR

Displays a horizontal line for minimum and maximum data points. However, the maximum and minimum values are applied to all data, not just the portion displayed as a graph.

MIN/MAX BEEP

When MIN/MAX BEEP is selected, a beeping noise will notify the user when either the minimum or maximum value is changed.

Switches between parallel display and expanded display. Pressing the Back button will return the display to the parallel type.

Selects between Line, Bar, Meter and LED display formats.

Line

- Line Graph displays the data.

- The maximum and minimum values are displayed.

- The current values of the data are displayed.

Data List Graph Function (Line)

Bar

- This function displays the data as a bar graph.

Data List Graph Function (Bar)

Meter

- Meter displays the data as enlarged numbers.

- The maximum and minimum values are displayed.

Data List Graph Function (Meter)

LED

- This function displays the data as LED.

Data List Graph Function (LED)

Closes the display.

Zoom In / Out

Zoom in by dragging the mouse over the line graph to designate a region. Zoom out and return to the original scale by double clicking on the selected region.

Data List Graph Function (Line)

Playback Control

The Playback control is used to play and fast forward data. It is also possible to designate a region from the recorded data to be displayed as a graph.

Playback Control

Playback Speed Control

When using the Stored Data function, sets the playback speed in increments from 1 – 5.

* Pause Button

When using the Stored Data function, pauses the recorded data being replayed.

* Play Button

When using the Stored Data function, plays the recorded data.

* Previous Button

When using the Stored Data function, moves the frame position from the current to previous critical frame (beginning, end, or flag).

* Previous Frame Step Button

When using the Stored Data function, moves the recorded data back one sample.

* Advance Frame Step Button

When using the Stored Data function, moves the recorded data forward one sample.

* Advance Button

When using the Stored Data function, moves the frame position from the current to next critical frame (beginning, end, or flag).

* Time Scroll Bar

The Time Scroll Bar performs the following functions.

-Width adjustment knob

By dragging either end of the knob to the left or right with the mouse and expanding it, the graph display can be compressed. Conversely, compressing the knob will expand the graph view.

-Scroll Bar

Scroll the graph to the left or right by moving the scroll bar. The width of the scroll bar represents the display width of the graph.

-Scroll Domain

The scroll domain width represents the width of all data.

-Trigger Position

Represents the position mark of the trigger (Vertical purple line).

-Marker Position

Represents the position mark of the flag (Vertical red line).


Active Test

The active test is a function to forcibly drive relays, actuators, solenoids, etc.

If they are driven normally in the active test, it is possible to judge circuits as normal from

the ECU to relays, actuators, solenoids, etc.

Active Test Selection

Selects the active test item

1. Press the Active Test button from the Menu Button.

2. When the Active Test Selection Dialog displays, select the Active Test items.

Diagnosis Screen and Active Test Selection Dialog

* Active Test list

Display a list of possible Active Tests.

* Description

Display an explanation for the Active Test item selected from the Active Test List.

* Available commands & expected results

Display commands and expected results for the Active Test item selected from the Active Test List.

* Execute condition

When performing an Active Test, display conditions and caution points related to the selected item from the Active Test List.

* OK button

Perform the Active Test selected from the Active Test List.

* Cancel button

Cancels the Active Test and returns the screen to the Data List.

* Service Information Keyword button

Executes the Service Information Keyword function.

Active Test Control

The Active Test Control operates the Active Test Panel and drives actuators.

ON / OFF Type Control

This dialog box displays when the Active Test values are divided into ON/OFF.

Active Test Control (ON / OFF Type Control)

Slide Type Control

The slide type control dialog box is displayed when the Active Test input values are defined as a range.

Active Test Control (Slide Type Control)

Stepped Type Control

This dialog box is displayed when the Active Test input values are defined as stepped increments.

Active Test Control (Stepped Type Control)


Monitor

This screen displays the monitor status.

* This function can only be used with ECU's that support the monitor function.

Diagnosis Screen (Monitor)

MIL Guidance

Displays the MIL status.

* Monitor Status view

Displays monitor status and monitor results.

* Monitor type select tab

Performs switching between Cumulative Monitor and Current Monitor.

* Monitor Information

Explains the difference between Cumulative Monitor and Current Monitor.

Clear DTCs button

Deletes DTC, freeze-frame, monitor status, monitor results information and the information code.

Monitor Details button

Displays a details screen for the selected monitor item.

Clicking the ….. Icon in the Monitor Status View Detail column will display the same screen.

Store button

Saves the DTC, freeze-frame, monitor status, monitor results information and Information Code.


Monitor Details

Displays details and an explanation for a particular monitor item.

Test Results Dialog

Monitor Details view

Displays details for a particular monitor item.

* Monitor Description

Displays an explanation for the selected monitor item.

Print button

Prints the screen being displayed.

Test Details button

Displays a details information dialog box for the selected monitor item. Clicking the icon in the Monitor Results View Detail column will display the same screen.

Store button

Saves the DTC, freeze-frame, monitor status, and monitor results information.

Close button

Closes the current dialog box.


Test Details

Displays the details of an item selected from the Monitor Details screen in graph format.

Test Details Dialog

Result data value

Displays the lower limit value, upper limit value and current value for the acquired monitor item.

* Result data meter

Displays the value for a particular monitor item graphically.

* Print button

Prints the content displayed in the Test Details dialog box.

* Close button

Closes the dialog box.


Utility

Various Techstream functions are accessed through the Utility.

Utility Selection Menu

The Utility Selection Menu can be displayed by pressing the Utility button from the Live Tab.

By selecting an item and pressing the Next button, the Utility can be started. The items displayed in the Utility Selection Menu differ for each ECU.

Diagnosis Screen (Utility)

* Utility List

Displays a list of utilities. Possible to select optional utilities.

* Description of Utility

Displays an explanation of optional utilities selected from the Utility List.

Next button

Possible to start optional utilities selected from the Utility List. From the time utility is started until it is complete, Techstream is in standby status and cannot be used.

The list of Utility functions are dependent on the vehicle, and the ECU’s installed. The utilities are in Wizard format. Perform the operations in accordance with the directions on the screen. Transponder Code Erasure will be introduced as an example.

Transponder Code Erasure Example

The Transponder Code Erasure Wizard will appear once the Next button is pushed. Perform operations in accordance with the directions on the screen. Advance to the next step by clicking the Next button. If the Cancel button is pressed, the Wizard will close.

Transponder Code Erasure 1/4 (Utility)

Perform the operations on the screen within the given time limit. In this case, the master key must be inserted in the key cylinder, the ignition switch turned ON, and the Next button pressed, all within the 120 second time limit.

Transponder Code Erasure 2/4 (Utility)

Perform the operations on the screen within the given time limit. In this case, the master key must be removed from the cylinder and the Next button pressed, all within the 10 second time limit.

Transponder Code Erasure 3/4 (Utility)

At this point the Transponder Code Erasure Wizard is normally complete. Press the Exit button to quit the Wizard.

Transponder Code Erasure 4/4 (Utility)


Customize

It is possible to verify and change the set values for customizable items.

Customizable items are divided by function into Door Lock, Security, Power Window, etc.

Select Customize Function

The Select Customize Function screen can be displayed by: 1) pressing the Customize button from the Menu on the System Selection Menu, or 2) selecting Customize from the Utility Selection Menu, then pressing the Next button. The user is able to customize from this screen.

Diagnosis Screen (Customize)

Customize function list

Select the function for the target Customize setting.

Default button

Set all functions to the default value for the target Customize setting.

Customize button

Display details for the selected function in a pop-up dialog box and set the desired function.

Caution

When the Default button is pressed, settings will be returned to the default values and all current settings will be lost.

Customize Parameter select

The Customize Parameter Select screen displays the current content for a Customize item. It is also possible to change the set values from this screen.

Customize Dialog

Item Name

Displays the name designated for the Customize item. When the row for an item is selected, the background color changes.

* Customize value list

Verify the current set value for a designated customize item or designate a value change. Current set values have a blue background. Values designated to be changed have a yellow background. Values designated to be changed are not reflected in the ECU until the Apply button is clicked.

* Item Description

Displays a description for items corresponding to a selected row in the Customize value list.

Print button

Prints the contents of the Customize value list.

Service Information Keyword button

Executes the Service Information Keyword function.

Cancel button

Cancels the value designated in the Customize value list and returns the screen to the Utility Selection Menu.

Apply button

Reflects the value selected from the Customize value list in the ECU. Even after the value is reflected in the ECU, the current dialog box remains.


Drive Recorder

The Drive Recorder can be accessed from Drive Recorder Configure in the Function Menu, or from the Drive Recorder Setup screen on the Utility Selection Menu screen. The Drive Recorder can only be used when connected to the vehicle.

Drive Recorder Setup

The Drive Recorder Setup screen is a notification to the user concerning the Drive Recorder usage procedure. When the Next button is pressed, the current screen transitions to the next screen. When the Cancel button is pressed, the Drive Recorder Setup is cancelled.

Drive Recorder Setup Dialog

This screen explains the selection method of target data for the Drive Recorder. If the Back button is pressed, the current screen returns to the previous screen. If the Next button is pressed, the current screen moves to the next screen. When the Cancel button is pressed, the Drive Recorder Setup is cancelled.

Drive Recorder Setup Dialog

Data to be recorded using the Drive Recorder can be designated on this screen. The data displayed on the data list screen is the data that is possible to be recorded by the Drive Recorder. Just as with a normal data list screen, it is possible to use the data manager. When the OK button on the displayed screen is pressed, the current screen moves to the next screen.

Diagnosis Screen (Drive Recorder)

Apply button

Terminates the selection of the Drive Recorder target data. If the Apply button is pressed, the current screen moves to the next Drive Recorder Setup screen. If no data is selected, this button cannot be used.

Select the Drive Recorder trigger classification from this screen. In addition, the length of recording data as well as the proportion of trigger position in relation to overall recorded data can be selected.

Drive Recorder Setup Dialog

Trigger Type pull down list

Set the Snapshot trigger classification. Switches to Select Parameter and Trigger Conditions when a parameter is set for the trigger. Trigger classifications can be selected from the following three (Manual, DTC, Parameter).

* Duration pull down list

Set the Snapshot recording time. Recording time can be selected from the following (5 s, 15 s, 30 s, 60 s, 90 s, 3 min, 5 min)

* Trigger Point

Displays the trigger position as a numeric value in relation to overall data recording. Change this value from the Trigger Point Gauge.

* Trigger Point Gauge

Configure the trigger position in relation to overall data recording (0% - 100%). Change the trigger position by dragging the marker.

Perform detailed parameter settings for Drive Recorder triggers from this screen. It is also possible to set the conditions for each parameter.

Parameter Trigger Configuration Dialog

Record Quantity

Designate the number of recordings for a parameter trigger. The number of recordings can be set from 1-10.

* Trigger type button

Moves the current screen to a screen to select parameters for trigger designation. Once a parameter name is selected, the name is displayed on the button.

* Condition-type

Selects the condition type for each trigger condition value.

* Parameter value gauge

Designate the parameter condition value. The designated results are reflected in the Parameter Value.

* Parameter Condition

Selects the AND or OR condition in relation to each set parameter for a specific trigger condition.

* Back button

Returns the screen back one Parameter Trigger Configuration value.

* Finish button

Sets the set trigger condition as a parameter trigger, and moves the current screen to the next screen.

* Cancel button

Cancels the setting contents, and returns the current screen to one screen before the Drive Recorder Setup begins.

Snapshot trigger settings can be performed for up to three parameters.

Parameter Select List Dialog

* Trigger Parameter

Select the desired parameter to be used as a trigger.

* SELECT button

Set the selected parameter as a trigger for the called out screen. Closes the screen after settings are performed.

* Back button

Cancels parameter selection and closes the screen.

This screen informs the user when Drive Recorder settings are completed. It also explains the method to reference recorded data.

Drive Recorder Setup Dialog

Drive Recorder Data Import

Drive Recorder Data Import can be performed from Open Scan Data File on the Main Menu Screen.

Drive Record Data Import can also be performed from Open on the file menu.

This screen is displayed in order to designate the file acquisition path when opening files. Designate the event file reference address for your PC by selecting "Open service event file" and pressing the OK button. Designate the event file reference address for the VIM (Vehicle Interface Module) by selecting "Retrieve data from Drive Recorder" and pressing the OK button. If the Cancel button is pressed, the file open operation is cancelled.

Drive Recorder Data Import Dialog

Designate the folder for files to be forwarded to from this screen. The default directory for each user is the directory displayed as the initial data save address When the OK button is pressed, the file is forwarded to the designated directory. When the cancel button is pressed, the operation is cancelled and the file is not sent.

File Dialog


Health Check

When a Health Check is performed, the target ECU, Monitor Status and Calibration ID are acquired and displayed. The results of the Health Check are added to the Stored Data Tab Event File Tree. However, data cannot be saved as an event file at this point. To save as an Event File, perform a Save from the File menu.

Diagnosis Screen (Health Check)

Campaign status [TIS Function]

Acquires and displays Special service Campaign information from the TIS server. If a "YES" is displayed on the screen, clicking it will launch the Web Browser. If the system is not able to access the SSC information, the SSC Availability will not be displayed.

* Health Check Results list

Displays a list of Health Check results. If a DTC exits, the screen moves to the head of the corresponding column, and the row becomes highlighted in yellow.

- Current, Pending, History

If there is one or more DTC(s), the characters change color to red. Click the number to start the DTC function.

- Monitor Status

Starts the Monitor function.

- Calibration

Displays The ECU Calibration ID. "NA" will be displayed in cases where the Calibration ID cannot be acquired.

- Cal.Update [TIS Function]

The TIS Function inquires with TIS and displays the update status of Calibration data. "-" will be displayed in cases where the Calibration ID cannot be acquired. "Yes" will be displayed when updated Calibration data is available. "No" will be displayed when updated Calibration data is not available.

In environments where a connection cannot be made to TIS, there are cases when the "Cal. Update?" column may not display.

* Date / Time

Displays the data and time the Health Check was performed.

Clear All DTCs button

Deletes all DTC, freeze-frame, monitor status, monitor results information and Information Codes.

New Health Check

Reacquires Health Check information, and adds an additional entry in the Stored Data Tab Even File Tree. Displays Health Check results.

Note

Items with the "TIS Function" icon attached can only be used in environments where a connection can be made to TIS.

System Area Selection

ECU(s) are grouped in categories called “System Areas” such as Powertrain, Chassis, etc. Health Check allows the user to diagnose ECU(s) that belong to a specific system area to shorten the time required to check.

System Area Selection Dialog

ECU Select check box

Select the Health Check System Area.

* Help button

Displays help content.

* Next button

Performs the Health Check.

* Cancel button

Cancels the Health Check.

* Store All Data check box

The Health Check information and DTC-related information (all DTC, all FFD, all detailed information, monitor status and monitor results information) of the system selected in the ECU selection checkbox will be stored.

。


Calibration Update Check

The Calibration Update Check screen displays whether or not there is a Calibration ID and update for vehicles with ECU's designed for Reprogramming. If there is an update, a link to TIS is displayed. TIS can be displayed by clicking the link.

Diagnosis Screen (Calibration Update Check List)

Select Check Box

Allows the target for the Calibration Check to be selected from among the displayed ECU's. When the Cal Check button is pressed, the calibration check will be performed on only the checked ECU.

* System

Displays a list of ECU's under diagnosis that are designed for reprogramming and installed on the vehicle.

* Calibration ID

Displays the Calibration ID for each installed ECU. ECU's consist of a number of CPU's. ECU's are displayed in multiple rows. "N/A" is displayed for ECU's for which a Calibration ID cannot be acquired.

* Calibration Update　[TIS Function]

Displays whether or not reprogramming is necessary for the Calibration ID acquired from the vehicle (refer to above). The Calibration ID check is displayed as the results of the inquiry with TIS. If reprogramming is necessary, "Yes" will be displayed as a link to the Calibration download site. To perform reprogramming, click the link to start TIS. When the target Calibration File on the TIS site is clicked, the file will be downloaded and the Calibration Update Wizard will start.

If "N/A" is displayed for the Calibration ID, the Calibration Update function cannot be used. The Calibration Update column will not be displayed for Tech Streams that do not have TIS connection information.

* Cal Check button

Acquires the Calibration ID for the ECU selected in the Calibration Update Check List from the vehicle. This Calibration ID is checked on TIS to verify whether or not updating is necessary.

* Check All check box

Inserts or removes checks from all checkboxes on the Calibration Update Check List.

* Date / Time

Displays the date and time the Cal Check was performed.

Note

The screen below is displayed for environments in which TIS cannot be used. The Calibration ID's for vehicles with ECU's designed for reprogramming are displayed. The TIS link is not displayed.

Diagnosis Screen (Calibration Update Check List)

Select Check Box

Allows the target for the Calibration Check to be selected from among the displayed ECU's. When the Cal Check button is pressed, the calibration check will be performed on only the checked ECU.

* System

Displays a list of ECU's under diagnosis that are designed for reprogramming and installed in the vehicle.

* Calibration ID

Displays the Calibration ID for each installed ECU. ECU's consist of a number of CPU's. ECU's are displayed in multiple rows. "Not Reprogramable" is displayed for ECU's for which a Calibration ID cannot be acquired.

* Cal Check button

Acquires the Calibration ID from the vehicle for the ECU selected in the Calibration Update Check List . This Calibration ID is checked on TIS to verify whether or not updating is necessary.

* Check All check box

Inserts or removes checks from all checkboxes on the Calibration Update Check List.

* Date / Time

Displays the date and time the Cal Check was performed.


CAN Bus Check

When performing a CAN Bus Check, it is possible to display a list of all ECU's connected to the CAN bus.

Check Button

When the Check button is pressed, communication occurs between the Can bus and ECU's. A list of the ECU's to which a connection was completed will be displayed. ECU's that failed to connect will not be displayed on the list.


Stored Data Main Screen

The Stored Data Main Screen displays data selected from Event File Trees. The first screen displays the vehicle connection information data file and accompanying remarks.

Diagnosis Screen (Stored Data Tab)

Model Information

Displays vehicle information registered in the Service Event File.

* Data Viewer

Displays data selected in the Event File Tree.

* Vehicle Information

Displays vehicle Stored Data.

The displayed contents are as follows.

- Display for North America

Division, Model, Model Year, Engine, Option 1, Option 2, Option 3

- Display for other regions

Model, Model Code, Vehicle Spec, Option 1, Option 2, Option 3

* VIN Input Area

Displays the VIN acquired from the vehicle.

The VIN display can be edited in cases where the VIN cannot be acquired from the vehicle.

* Memo Text Area

Display and/or edit a Stored Data memo.

* Tech Tip

Displays help information on usage.


Event File tree

Optional data from the Service Event File can be designated with an Event File Tree. The selected data is displayed on the right hand side of the screen. By selecting and right clicking on a piece of data, the name may be edited.

When a memo is entered for a flag, the icon is displayed in yellow. When there is no memo, the icon is displayed in white.

When the display for data set in a flag is minimized, an icon will be displayed to the side of the data.

When detailed data is included in the level below, "+" and "-" icons will be displayed. When there is no details included, neither the "+" or "-" icon will be displayed.

All of the operations below can be performed by right clicking on an individual piece of data.

- Delete (Info box, flag, file)

- Add info box to file

- Edit Notes

Event File Tree


Playback Data List / Active Test

This screen is an example of Data List data selected from an Event File Tree.

Diagnosis Screen (Playback Data)

Diagnosis Screen (Playback Data)

Playback speed

Displays the playback speed for recorded data. The playback speed can be changed using this button.

* Playback time bar

Displays the current frame position. During playback, the time bar moves to match the data. The time bar can be moved to change the displayed frame.

* Playback information

Displays playback information for recorded data.

* Pause button

Pauses the playback of recorded data.

* Play button

Plays recorded data.

* Advance/Previous button

Moves the frame position from the current position forward (or backward) to the next (or previous) flag position.

* Advance/Previous Frame button

Moves the frame position from the current position, forward (or backward) to the next (or previous) frame.

New List button

Displays only those parameters selected from the Parameter List.

Remove button

Deletes parameters selected from the Parameter List.

Data Manager Button

Displays the Data List Manager.

Graph button

Switches the Data List display to a graph format.

Flag button

Highlights the display when a flag exists for the frame position.

If a flag does not exist for the frame position, clicking the Flag Button will add a flag for the current frame position.

When the flag frame is reached during Stored Data playback, a flag note will be displayed in a pop-up dialog box on the Parameter Data List, and the Flag button will be highlighted. If there is no memo for the flag, the background color for the flag note will be white. If a memo is included, the background color of the flag note will be yellow.

Flag Note Dialog

Flag Notes

Input a memo for a flag.

* Note Visibility button

Hide or display the flag note. If the note is set to display, each time the flag position is reached during playback, the note will appear on the screen. If the note is set to be hidden, the note will not appear on the screen each time the flag position is reached during playback. To remove the "hide" setting, click the Flag button at the appropriate flag position.

* Flag position time (frame)

Displays the set flag position in relation to the corresponding memo (as time and frame number).

Graph Function

Using the Graph Function, Data List/Active Test playback data can be viewed as a Graph. The Flag and trigger positions are displayed as an icon on the graph.

Diagnosis Screen (Data List)


File Management

Open File Dialog

This screen is displayed in order to designate the file acquisition path when opening files. Designate the event file reference address for your PC by selecting "Open service event file" and pressing the OK button. Designate the event file reference address for the VIM (Vehicle Interface Module) by selecting "Retrieve data from Drive Recorder" and pressing the OK button. If the Cancel button is pressed, the file open operation is cancelled.

Open File Dialog

The file to be opened can be designated from this screen. The default directory prepared by the user is displayed as the standard directory. The VIM file catalogue will not be displayed in the pull down menu.

Event File Dialog

Directory pull down list

Designate the target directory from the File List. The default directory for the logged-in user is used as the initial value.

* Common Control

File selection controls common in all Windows OS'.

* File List

Displays files inside the directory that were selected from the Directory Pull Down List. Only a single file from those displayed can be selected for opening. The displayed files are only those with the extension designated in the File Type Pull Down List.

* File Name Input box

Input the name of the file to be opened. When a file is designated from the File List, the file name will be displayed.

* File Type pull down list

Select the type of file to be displayed in the File List.

* Open button

Opens the file designated in the File Name Input Area.

* Cancel button

Cancels file selection and closes the file selection dialog box.

* File Information View Area

Displays vehicle information included in the file selected from the File List. The following appear as display items: Year, Division, Model, Engine, Option, VIN, and File Notes.


Select Merge Data Dialog

The Select Merge Data Dialog performs the Merge Event Files function. It is located in File on the Menu Bar. Data Merge can only be performed if there is a Stored Data Tab.

From this dialog box, designate the service event file that includes the target merge data.

Event File Dialog

Directory pull down list

Designate the target directory from the File List. The default directory for the logged in user is used as the initial value.

* Common Control

Prepares the file selection dialog shared control, common in all Windows OS'.

* File List

Displays files inside the directory that were selected from the Directory Pull Down List. One file from those displayed can be selected for opening. The displayed files are only those with the extension designated in the File Type Pull Down List.

* File Name Input box

Input the name of the file to be opened. When a file is designated from the File List, the file name will be displayed.

* File Type pull down list

Select the type of file to be displayed in the File List.

* Open button

Opens the file designated in the File Name Input Area.

* Cancel button

Cancels file selection and closes the file selection dialog box.

* File Information View Area

Displays vehicle information included in the file selected from the File List. The following appear as display items: Year, Division, Model, Engine, Option, VIN, and File Notes.

Designate the target merge data on this screen. Data Merge will be performed for data with a checkmark appearing next to it.

Merge File Dialog

Event File Tree

Displays the service event file data tree that was designated in the file selection dialog box.

* Data Check Box

Designate the target merge file by checking the appropriate box.

* Record Info

Displays data record information for the selected file.

* OK button

Performs data merge on checked files.

* Cancel button

Cancels data merge operations.

* Check All

Pressing this button inserts or removes checks from all checkboxes.

This is an example of the screen displayed upon completion of data merge. The merged data added to the Event File Tree is displayed. Merged data can be handled in the same way as other recorded data.

Diagnosis Screen (Stored Data Tab)


Export Data Select Dialog

The Export Data Select Dialog box is used to designate export data and the export data file name. The Model Year, Model, Engine and VIN are combined and displayed as the default file name.

Event File Dialog

Directory Name

Select the directory in which to save the export file. The default directory for each user is displayed

* File List Box

Display the file inside the folder designated as the Directory Name. When a file is selected, the file name is displayed in the File Name Input Area.

* File Name Input Area

Input a file name for export data. The Model Year, Model, Engine and VIN are combined and displayed as the default file name.

* File Type Pull Down List

Displays file formats available for the export file. The format for the file to be saved is CSV.

* Save button

Performs data export.

* Cancel button

Cancels data export operations.


Add Data

Using Add Data, data can be added to an existing service event file by following the two steps below.

- When recording the service event file, connect to the car with the service event file opened.

- While still connected to the vehicle, open the equivalent service event file recorded for that vehicle.

This screen displays when selecting files for addition.

Event File Dialog

If when connecting to a vehicle while a data file is opened, the information from the connected vehicle does not match the data file, the following screen is displayed.

If the View live Data button is pressed, the currently opened file is closed and a connection is made to the vehicle. If the Cancel button is pressed, the connection to the vehicle is terminated and the opened file continues to be available for reference.

Caution Dialog

If when opening a data file while connected to a vehicle, the contents of the data file being opened do not match the information of the connected vehicle, the following screen displays. If the File Select button is pressed, the screen returns to the file select dialog box. If the Open File button is pressed, the connection to the vehicle is terminated and the designated data file is opened.

When this button is pressed, all tabs displaying vehicle information are closed. If the Cancel button is pressed, the data file is not opened and the vehicle remains connected.

Caution Dialog


Generic OBD II

Generic OBD II performs vehicle troubleshooting (malfunction diagnosis).

Select ECU

When Generic OBD II is initially started and more than two ECU's respond, the following dialog box allows the user to select the ECU to be diagnosed. Select an ECU for communication and press the OK button.

Select ECU Dialog

Diagnosis Screen

An OBD II tab is created so that all functions can be performed by pressing the Menu button.

Diagnosis Screen (OBD II : Trouble Codes)

Switches the screen to Manages Trouble Codes display.

Switches the screen to the Data List display.

Switches the screen to the Monitor display.

Switches the screen to the Utility display.

Switches the screen to the Print display.

Returns the screen to the Main Menu.

Note

SAE J2012 defines the standardized Diagnostic Trouble Codes (DTC).

Example

P0123

P – Power Train

B – Body

C – Chassis

U – Network

Monitor

This screen displays the monitor status.

Diagnosis Screen (OBD II : Monitor)

This dialog box displays Monitor Details and gives a description of each.

Monitor Details Dialog

Displays the results of an item selected from the Monitor Details screen in graphic form.

Test Details Dialog

Utility

The following four functions can be selected from the Utility screen.

Diagnosis Screen (OBD II : Utility)

Vehicle Information

Displays vehicle information.

Vehicle Information Dialog

* Evap Leak test

Performs the Evaporative System Leak Test.

When the Next button is pressed, the Evaporative System Leak Test is performed.

When the Cancel button is pressed, the Evaporative System Leak Test is stopped.

Evap Leak Test 1/2 Dialog

When the End button is pressed, the Evaporative System Leak Test is exited.

Evap Leak Test 2/2 Dialog

* O2 sensor

Selects the sensor to perform the O2 sensor test.

O2 Sensor Select Dialog

Displays the results of the O2 sensor test.

O2 Sensor Test Result Dialog

* Non Continuous Test Results

Displays the results of the non-continuous system test.

Non Continuous Test Results (Test Results)


Setup

The Setup function can be selected in the menu bar. Through Setup functions, the user is able to change default settings (the initial settings), add or change Techstream Configurations, select VIMs, check for updates, and register Techstream software.

The various setup functions can be selected from the [Setup] menu on the menu bar.

This section explains the setup functions.


Display Property Functions (Display Properties)

Display Property Functions calls up Screen Properties for Windows.

Display Property Functions (Windows XP)


User Preferences

Manage User Preferences including, default Vehicle Brand, Font Size, Unit Selection, Language Selection, and the assignment of Hot Keys, under the Setup function on the menu bar. This function can also found in an alternate location under the User function on the menu bar. There are three default Users set in Techstream: Generic English, Generic Spanish and Generic French. These default Users cannot be edited or deleted.


Vehicle Brand

The Vehicle Brand dialog box is displayed when Vehicle Brand is chosen in User Preferences under the User function on the menu bar. Whenever vehicle brand information is not available in the vehicle, the vehicle connection wizard will default to the Vehicle Brand specified here.

Default Brand Dialog


Font Size

The Font Size dialog box is displayed when Font Size is chosen in User Preferences under the Users function on the menu bar. The font size used in Techstream can be designated here.

Font Size Dialog


Unit Selection

The Unit Selection dialog box is displayed when Unit Selection is chosen in User Preferences under the Users function on the menu bar. The units for various parameters appearing in Techstream can be designated here.

Unit Selection Dialog


Language Selection

The Language Selection dialog box is displayed when Language Selection is chosen in User Preferences under the Users function on the menu bar. The language used for Techstream can be designated here.

Language Selection Dialog


Hot Key Utility

The Hot Key Utility dialog box is displayed when Hot Key Utility is chosen in User Preferences under the Users function on the menu bar.

Hot Keys allow you to select the blue buttons by using the function keys on the keyboard. The Snapshot function Hot Key is defaulted to the space bar, but can be changed by the user.

Hot Key Utility Dialog


Techstream Configuration

The Techstream Configuration dialog box is displayed when the Techstream Application is opened for the first time, or when the Techstream Configuration is chosen under the Setup function on the menu bar. The screen is comprised of a required information section and an optional information section. Required fields designate critical information necessary for Error Reporting, and User Type needed for proper communication with TIS. Optional information will appear in the header section, whenever the print function is used.

Techstream Configuration Dialog (For North America)

Techstream Configuration Dialog (For Other Regions)


Area Selection

The Area Selection dialog box is displayed when the Techstream Configuration is opened. This dialog box allows the user to choose the area.

Area Selection Dialog


VIM Select

The VIM Select dialog box is displayed when VIM　Select is chosen under the Setup function on the menu bar. The VIM Select dialog box enables the user to change to another J2534 compliant interface device. Select the Vehicle Interface Module to be used in the pull down menu.

Press the “Detail” button to display the settings screen for each J2534 device. There is no settings screen for TIS Techstream VIM. Accordingly, a settings screen will not be displayed when the “Detail” button is pressed with TIS Techstream VIM selected.

VIM Select Dialog


Check for Updates

Checks the TIS server for updates for the Techstream software.


Register Techstream Software

Registers Techstream software user information to the server.

If the software is used without being registered, there is a limit placed on the number of times it can be used.


Default Language

Sets the default language. When performing “Log Out” operations, the user will be changed to the generic user for the selected language. This menu can only be used from the Main Menu.


Error Report Hot Key

Sets a hot key for recording error reports. For details, refer to “Error Report”.


Users

The Users function is located on the menu bar. Through functions under Users, the user can Log Out, Change or Create User, and make changes to User Preferences. Functions under User Preferences are the same as those found in the same function under Setup.

Log Out

When the user chooses to Log Out, Techstream will make a Generic User become the current user.

Change/Create User

The Change/Create User Dialog can be displayed by choosing Change/Create User under the Users function on the menu bar. It can also be displayed by clicking on User/Language Selections button on the Techstream Main Menu.

User Dialog

Current User

Displays the current user name.

* Additional Users

Displays the number of users registered in Techstream, excluding the 3 default users..

* User List

Displays user information registered, in spreadsheet format. Current User appears in bold font. To edit or delete registered information, it is necessary to select and highlight the row of the particular user.

* Edit Profile button

Displays a pop-up dialog box when editing user information. Pushing the Edit Profile button allows only the selected information from the user list to be edited.

* Add New User button

Displays a pop-up dialog box to register a new user.

* Delete User button

Displays a confirmation dialog box when deleting user information. Pushing the Delete User button allows only the selected information from the user list to be deleted.

* OK button

Allows switching between users on the user list. If a column with no entry is selected, the dialog box will close without changing the user.

* Cancel button

Cancels the user settings and closes the dialog box.


Add New User

The Add New User box is displayed when either the Add New User or Edit Profile buttons are pushed on the Change/Create dialog screen. A new user can be registered or the information for the current user may be edited and updated. The Add New User box is followed by the Default Brand, Font Size, Unit Selection, Language Selection, and Hot Key Utility dialog boxes to complete User registration.

Add New User Dialog

User Last Name

Edits the user's last name.

* User First Name

Edits the user's first name.

* Technician Number

Edits the user's Technician Number.

* Default Directory

Changes the directory path for the user information being edited. A directory path selection dialog is available for editing the directory path.

* Continue Button

Registers edited user information. Closes the dialog box when registration is complete.

* Cancel Button

Cancels information changes and closes the dialog box.


Edit Profile

Displays a pop-up dialog box when editing user information. Pushing the “Edit Profile” button allows only the selected information from the user list to be edited.

Delete User

When deleting a user, highlight the user to be deleted and click on Delete User.


Error Report

Error Report records a screen shot as well as an operations log in order to simplify the analysis of errors that occur during Techstream use.

Recording Function

When the user selects "Error Report Hot Key" from "Setup" on the Menu Bar, an error report dialog box is displayed.

Error Report Details Dialog

Setup Recording Key

Set the Recording Key. The recording key is set by placing the cursor on the Recording Key editing box and pressing the key.

* Help Button

Displays help content.

* OK Button

Reflects the settings and closes the dialog box.

* Cancel Button

Cancels the settings and closes the dialog box.

When an error report is recorded, the dialog box below opens where a note can be added and sent to TIS. A note can also be added from the Stored Data Tab.

Error Report Details Dialog

View and Report Function

From this screen, an Error Report can be selected and viewed from the Stored Data Tab Event File Tree.

Diagnosis Screen (Stored Data Tab)

List View Area

Displays a list of recorded error reports.

Send to TIS Button

Forwards error reports selected from the List View Area to TIS.

List View Button / Detail view Button

Switches between List View and Detail View.

Remove Button

Erases error reports selected from the List View Area to TIS. When the Remove button is clicked a confirmation dialog box will appear.

The Detail View screen is displayed after an Error Report Detail dialog box is closed or, if Report is selected from List View and then the Detail View button is pressed.

Diagnosis Screen (Stored Data Tab)

List View Area

Displays a list of recorded error reports.

* Report's Note Display Area

Displays notes related to an error report.

Send to TIS Button

Forwards error reports selected from the List View Area to TIS.

List View Button / Detail view Button

Switches between List View and Detail View.

Remove Button

Erases error reports selected from the List View Area. When the Remove button is clicked a confirmation dialog box will appear.


Current DTC

Current DTC’s are trouble codes that are stored in the ECU when both continuous and non-continuous (2 trip) monitors fail. Current DTC’s command the MIL On the instant they are stored in the ECU. Current DTC’s can be cleared using the Clear DTC’s function of the Scantool, or when the ECU monitor (2 trip monitor) has ran and completed 40 consecutive trips without a fault.


Pending DTC

Pending DTC’s are trouble codes stored in the ECU when non-continuous (2 trip) monitors fail the first trip. Pending DTC’s do not command the MIL On when stored in the ECU. Pending DTC’s remain stored in the ECU until the ECU monitor completes and Passes one trip. If the monitor fails the 2nd trip, the Pending DTC remains, a Current DTC is set, and the MIL is turned on. Pending DTC’s can also be cleared using the Clear DTC’s function of the Scantool.


History DTC

History DTC’s are trouble codes stored in the ECU when continuous and non-continuous monitors (2nd trip) fail. History DTC’s set in conjunction with Current DTC’s and are not cleared by the ECU monitor. History DTC’s can only be cleared using the Clear DTC function of the Scantool.


Permanent DTC

Permanent DTC’s are trouble codes that are stored in the ECU when continuous and non-continuous monitors fail. Permanent DTC’s are set in conjunction with Current and History DTC’s. Permanent DTC’s can not be cleared using the Clear DTC’s function on the Scantool. Instead, Permanent DTC’s are cleared when the ECU monitor completes and passes three consecutive trips.


Cumulative Monitor

The Cumulative Monitor lets you know if a particular readiness monitor has run and completed at least one trip since the Monitor was last reset. The Cumulative Monitor displays Test Results and Test Details for the previous Monitor trip. When Monitors are reset, Cumulative Monitor status and result fields change to Incomplete and Pass.

Cumulative Monitor information can be used during emission testing to verify that each Monitor has run, completed and passed at least one trip since the Monitor was last reset.

Current Key Cycle:

Cumulative Monitor Reset:

For Current Monitor information Current Monitor


Current Monitor

When the key is first turned ON and the engine is OFF, Monitor Status and Monitor Results will show information from the last key cycle.

When the engine has started and is running, Monitor Status and Monitor Results will change to Incomplete and Pass. Test Results and Test Details will continue to display last trip values until the monitor runs and completes the current trip. When the Monitor completes, Monitor Status, Monitor Results, Test Results and Test Details are updated with latest trip information.

Current Monitor information can be used as an advanced diagnostic tool to confirm system/component failures, system operation and readiness monitor operation.

IG On, Eng Off:

IG On, Eng On:

For Cumulative Monitor information Cumulative Monitor


Appendix A: Menu Bar

Displays the Menu Bar in list format.

File | Open Scan Data File |
 | Merge Scan Data File
 | Save
 | Save As
 | Export Data
 | Print
 | Exit Techstream
 | Recently Opened files
Function | Connect to Vehicle | Auto Vehicle Select
 |  | Manual Vehicle Select
 | Connect to OBD2 |
 | Snapshot Configure
 | Drive Recorder Configure
 | Copy VIN to Clipboard
Setup | Display Properties |
 | Techstream Configuration
 | VIM Select
 | Check For Updates
 | Register Techstream Software
 | Error Report Hot Key
TIS | TIS Vehicle Main Page |
 | TIS Main Page
 | TIS Vehicle Inquiry
User | Log Out |
 | Change/Create User
 | User Preferences | Vehicle Brand
 |  | Font Size
 |  | Unit Selection
 |  | Language Selection
 |  | Hot Key Utility
Help | Help |
 | Known Bugs List
 | Techstream New Features List
 | About Techstream

Menu Bar (File)

- Open Scan Data File

Opens saved service event files. Techstream has the capability to compare files, but cannot open two files at the same time. Accordingly, the Open Scan Data File function closes files after they have been verified as saved.

- Merge Scan Data File

Merge Event Files when a Stored Data Tab exists. Selects a service event file, then selects the data to be merge with that file. At that time, if the service event file displayed in the Stored Data Tab differs from the vehicle information for the selected service event file, a Caution is displayed.

- Save

Saves the opened file.

- Save As

Saves the opened file under a separate name.

- Export Data

Exports the selected data in CSV file format.

- Print

Prints screen content.

- Exit Techstream

Quits the application.

- Recently Opened files

Displays the TSE name for recently opened files. Opens the selected TSE file.

Menu Bar (Function)

- Connect to Vehicle

- Auto Vehicle Select

Performs the Vehicle Connect Auto Connect function.

- Manual Vehicle Select

Performs the Vehicle Connect Manual Connect function.

- Connect to OBD2

Generic OBD II performs vehicle troubleshooting (malfunction diagnosis).

- Snapshot Configure

Performs the snapshot function. Can only be used with ECU's that can be selected in the Data List.

- Drive Recorder Configure

Performs the Drive Recorder function.

- Copy VIN to clipboard

Copies the VIN to the clipboard.

Menu Bar (Setup)

- Display Properties

Displays the design tab from properties on a Windows screen.

- Techstream Configuration

Registers user type and information.

- VIM Select

Performs VIM selection.

- Check For Updates

Performs a check for application updates.

- Register Techstream Software

Registers the software user.

- Error Report Hot Key

Sets a hot key for recording error reports.

Menu Bar (TIS)

- TIS Vehicle Main Page

Opens the browser and displays the TIS Vehicle Main Page.

- TIS Main Page

Opens the browser and displays the TIS Main Page.

- TIS Vehicle Inquiry

    Opens the browser and displays the TIS Vehicle Inquiry Page.

Menu Bar (User)

- Log Out

Logs out the user.

- Change/Create User

Edit or add a user.

- User Preferences

Performs application settings for each user.

- Vehicle Brand

Performs Brand settings. The set brand is used on a priority basis. Select from between TOYOTA, LEXUS, and SCION.

- Font Size

Performs Font settings. Select between 10pt. and 14pt. Data is displayed in the font size set here.

- Unit Selection

Performs unit settings. The selectable units are: Vehicle Speed , Temperature, Weight, Air Flow, Air Pressure, Vapor Pressure and Fuel Pressure

- Language Selection

Sets the language. Choose from English, Spanish and French.

- Hot Key Utility

Displays an explanation of the hot-key key assign feature. The Snapshot Record key can be optionally set.

Menu Bar (Help)

- Help

Displays Help information.

- Known Bugs List

Displays bug information, etc.

- Techstream New Features List

Displays the latest Techstream information.

- About Techstream

Displays application version information, etc.


Appendix B: Status Bar

The following is an explanation of items displayed on the Status Bar.

- Vehicle Information

Displays information for the vehicle being diagnosed.

- Model Year

- Model

- Engine

- VIN

- ECU Name

Displays the name of the ECU being diagnosed.

- Screen Number

Displays the screen number for the current screen.

- User Name

Displays the current default user name. When this button is pressed, the user change dialog box is displayed so that the user can be changed.

- DLC Status

Displays the status of the vehicle connection connector.

- Refresh Rate

Displays the refresh wait when data is being acquired from the vehicle.

Note

The display content of the Status Bars differs for each screen.

Shows the content pattern displayed in the Status Bar.

Status Bar : Type A

- Screen Number

- User Name

- DLC Status

Status Bar : Type B

- Screen Number

- System Name

- User Name

- DLC Status

Status Bar : Type C

- Screen Number

- System Name

- Refresh Rate

- User Name

- DLC Status

Status Bar : Type D

- Screen Number

- System Name

- Replay Time

- User Name

- DLC Status


Appendix C: Screen Flow

Appendix C explains the procedure for using the primary functions.

TOYOTA Vehicle Diagnosis (Outline)

Jump to On Line Help Topic

Main Menu Screen

Vehicle Connect

System Select

Live Data Tab

Health Check

Customize

Customize Parameter Select

CAN Bus Check

Trouble Codes

Data List

Active Test

Monitor

Utility

* TOYOTA Vehicle Diagnosis (Trouble Codes)

Jump to On Line Help Topic

Trouble Codes

Freeze Frame Data Display

Monitor

* TOYOTA Vehicle Diagnosis (Data List)

Jump to On Line Help Topic

Data List

Graph Function

Snapshot

* TOYOTA Vehicle Diagnosis (Active Test)

Jump to On Line Help Topic

Active Test

* TOYOTA Vehicle Diagnosis (Monitor)

Jump to On Line Help Topic

Monitor

Monitor Details

Test Details

* Generic OBD II

Jump to On Line Help Topic

Generic OBD II

Next :

CARB

DLC

DTC

ECU

MIL

OBD

SSC

TIS

USB

VIM

VIN


CARB

California Air Resources Board


DLC

Data Link Connector


DTC

Diagnostic Trouble Code


ECU

Electronic Control Unit


MIL

Malfunction Indicator Lamp


OBD

On Board Diagnostics


SSC

Special Service Campaign


TIS

Technical Information System


USB

Universal Serial Bus


VIM

Vehicle Interface Module


VIN

Vehicle Identification Number